{% load static %}
<html>
    <head>
        <title>POST</title>
        <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css">
        <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap-theme.min.css">
<link href="https://fonts.googleapis.com/css?family=Lobster&subset=latin,cyrillic" rel="stylesheet" type="text/css">
        
    </head>
<style>
.page-header {
    background-color: #ff9400;
    margin-top: 0;
    padding: 20px 20px 20px 40px;
}

.page-header h1, .page-header h1 a, .page-header h1 a:visited, .page-header h1 a:active {
    color: #ffffff;
    font-size: 36pt;
    text-decoration: none;
}

.content {
    margin-left: 40px;
}

h1, h2, h3, h4 {
    font-family: 'Lobster', cursive;
}

.date {
    color: #828282;
}

.save {
    float: right;
}

.post-form textarea, .post-form input {
    width: 100%;
}

.top-menu, .top-menu:hover, .top-menu:visited {
    color: #ffffff;
    float: right;
    font-size: 26pt;
    margin-right: 20px;
}

.post {
    margin-bottom: 70px;
}

.post h1 a, .post h1 a:visited {
    color: #000000;
}


</style>

 <body>

<div class="page-header">
    <h1 >Publications</h1>

</div>




 <nav class="navbar navbar-default">
      <div class="container">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse-2">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="navbar-collapse-2">
          <ul class="nav navbar-nav navbar-right">
		{% if request.user.is_authenticated  %}

	            <li><a  href="">{{request.user}}</a></li>
		<li><a href="{% url 'logout' %}">Выйти</a></li>
		{%else%}
		<li><a href="{% url 'login' %}">Войти</a></li>
	{%endif%}
          </ul>
        <div class="collapse navbar-collapse" id="navbar-collapse-2">
          <ul class="nav navbar-nav navbar-left">
    		<li><a  href="{% url 'search' %}">Найти</a></li>
		{% if request.user.is_authenticated  %}
		<li><a href="{% url 'post_new' %}">Опубликовать</a></li>
		<li><a href="{% url 'post_last' %}">Последняя запись</a></li>
	{%endif%}
          </ul>

        </div>
      </div>
    </nav>




<div class="content container">
    <div class="row">
        <div class="col-md-8">

{% for post in posts %}
                <div class="post">
                    <div class="date">



        <h1>{{ post.title }}</h1>
 <p>Опубликованно: {{ post.published_date }}</p>
        <p >{{   post.text }}</p>
{% if request.user.username|length > 10  %} <p >{{ post.flag}}</p>  {%endif%}
                </div>
        </div>
            {% endfor %}
        </div>
    </div>
</div>

    </body>
</html>
